org.gnome.gtk

## Interface CellRendererText.Edited

- Enclosing class:
    CellRendererText

      public static interface CellRendererText.Edited

  Event generated after user activated a cell, changed its content and pressed Return.

  Note that the act of editing the cell in the TreeView does not cause a change in the underlying model. In the usual case (where a given TreeModel is only being used as the backing store for the TreeView) then you'll want to update it:

       renderer.connect(new CellRendererText.Edited() {
           public void onEdited(CellRendererText source, TreePath path, String text) {
               model.setValue(model.getIter(path), column, text);
           }
       }

  assuming you have access to the TreeModel and DataColumn variables.
  Since:
    4.0.8
  Author:
    Stefan Prelle, Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onEdited(CellRendererText source, TreePath path, String text)`

- - ### Method Detail

    - #### onEdited

          void onEdited(CellRendererText source,
                      TreePath path,
                      String text)